#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(9000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.005609, 0.172146, -0.018743)
Hull.SetPosition2D(65.000000, 48.000000)
Hull.SetRepairComplexity(3.000000)
Hull.SetDisabledPercentage(0.750000)
Hull.SetRadius(0.550000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(9000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(-0.000327, 0.301844, 0.180000)
ShieldGenerator.SetPosition2D(64.000000, 37.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(0.050000)
ShieldGenerator.SetNormalPowerPerSecond(300.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 10000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 5000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 5000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 11.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(6000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.010268, 0.534011, -0.120000)
SensorArray.SetPosition2D(65.000000, 15.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.100000)
SensorArray.SetNormalPowerPerSecond(150.000000)
SensorArray.SetBaseSensorRange(2000.000000)
SensorArray.SetMaxProbes(8)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(5000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.005123, 0.107646, -0.200000)
WarpCore.SetPosition2D(64.000000, 68.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.750000)
WarpCore.SetRadius(0.020000)
WarpCore.SetMainBatteryLimit(150000.000000)
WarpCore.SetBackupBatteryLimit(50000.000000)
WarpCore.SetMainConduitCapacity(900.000000)
WarpCore.SetBackupConduitCapacity(100.000000)
WarpCore.SetPowerOutput(800.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(4000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.000000, 0.100000)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.100000)
ImpulseEngines.SetNormalPowerPerSecond(50.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.150000)
ImpulseEngines.SetMaxAngularVelocity(0.400000)
ImpulseEngines.SetMaxSpeed(6.600000)
ImpulseEngines.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(5000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.003522, -0.700000, 0.250000)
WarpEngines.SetPosition2D(46.000000, 60.000000)
WarpEngines.SetRepairComplexity(4.000000)
WarpEngines.SetDisabledPercentage(0.600000)
WarpEngines.SetRadius(0.100000)
WarpEngines.SetNormalPowerPerSecond(2.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(2400.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 0.000000, 0.000000)
Phasers.SetPosition2D(46.000000, 64.000000)
Phasers.SetRepairComplexity(4.000000)
Phasers.SetDisabledPercentage(0.500000)
Phasers.SetRadius(0.050000)
Phasers.SetNormalPowerPerSecond(200.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(1000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.000000, 0.000000)
Torpedoes.SetPosition2D(82.000000, 64.000000)
Torpedoes.SetRepairComplexity(2.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.100000)
Torpedoes.SetNormalPowerPerSecond(100.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;123;Dual")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 150)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.WCJJConnieTorp")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(5000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, 0.000000, 0.000000)
Engineering.SetPosition2D(64.000000, 40.000000)
Engineering.SetRepairComplexity(4.000000)
Engineering.SetDisabledPercentage(0.100000)
Engineering.SetRadius(0.100000)
Engineering.SetNormalPowerPerSecond(1.000000)
Engineering.SetMaxRepairPoints(36.000000)
Engineering.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(1500.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.000000, 0.000000, 0.000000)
Tractors.SetPosition2D(120.000000, 120.000000)
Tractors.SetRepairComplexity(7.000000)
Tractors.SetDisabledPercentage(0.750000)
Tractors.SetRadius(0.200000)
Tractors.SetNormalPowerPerSecond(600.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(1)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
WCJJConnie = App.ShipProperty_Create("WCJJConnie")

WCJJConnie.SetGenus(1)
WCJJConnie.SetSpecies(103)
WCJJConnie.SetMass(70.000000)
WCJJConnie.SetRotationalInertia(8000.000000)
WCJJConnie.SetShipName("WCJJConnie")
WCJJConnie.SetModelFilename("data/Models/Ships/WCJJConnie/WCJJConnie.nif")
WCJJConnie.SetDamageResolution(8.000000)
WCJJConnie.SetAffiliation(0)
WCJJConnie.SetStationary(0)
WCJJConnie.SetAIString("FedAttack")
WCJJConnie.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(WCJJConnie)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(2000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.133927, 0.150313, 0.307054)
PortImpulse.SetPosition2D(53.000000, 49.000000)
PortImpulse.SetRepairComplexity(3.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.030000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(2000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.126207, 0.149709, 0.306700)
StarImpulse.SetPosition2D(74.000000, 50.000000)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.030000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
ForwardTorp1 = App.TorpedoTubeProperty_Create("Forward Torp 1")

ForwardTorp1.SetMaxCondition(1600.000000)
ForwardTorp1.SetCritical(0)
ForwardTorp1.SetTargetable(1)
ForwardTorp1.SetPrimary(1)
ForwardTorp1.SetPosition(-0.027434, 0.332861, 0.056446)
ForwardTorp1.SetPosition2D(56.000000, 10.000000)
ForwardTorp1.SetRepairComplexity(3.000000)
ForwardTorp1.SetDisabledPercentage(0.500000)
ForwardTorp1.SetRadius(0.020000)
ForwardTorp1.SetDumbfire(1)
ForwardTorp1.SetWeaponID(0)
ForwardTorp1.SetGroups(1)
ForwardTorp1.SetDamageRadiusFactor(0.600000)
ForwardTorp1.SetIconNum(370)
ForwardTorp1.SetIconPositionX(74.000000)
ForwardTorp1.SetIconPositionY(34.000000)
ForwardTorp1.SetIconAboveShip(1)
ForwardTorp1.SetImmediateDelay(0.100000)
ForwardTorp1.SetReloadDelay(40.000000)
ForwardTorp1.SetMaxReady(4)
ForwardTorp1Direction = App.TGPoint3()
ForwardTorp1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp1.SetDirection(ForwardTorp1Direction)
ForwardTorp1Right = App.TGPoint3()
ForwardTorp1Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp1.SetRight(ForwardTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp1)
#################################################
AftTorp1 = App.TorpedoTubeProperty_Create("Aft Torp 1")

AftTorp1.SetMaxCondition(1600.000000)
AftTorp1.SetCritical(0)
AftTorp1.SetTargetable(1)
AftTorp1.SetPrimary(1)
AftTorp1.SetPosition(-0.023174, -0.442952, -0.226680)
AftTorp1.SetPosition2D(64.000000, 86.000000)
AftTorp1.SetRepairComplexity(3.000000)
AftTorp1.SetDisabledPercentage(0.750000)
AftTorp1.SetRadius(0.030000)
AftTorp1.SetDumbfire(1)
AftTorp1.SetWeaponID(4)
AftTorp1.SetGroups(4)
AftTorp1.SetDamageRadiusFactor(0.600000)
AftTorp1.SetIconNum(370)
AftTorp1.SetIconPositionX(73.000000)
AftTorp1.SetIconPositionY(102.000000)
AftTorp1.SetIconAboveShip(1)
AftTorp1.SetImmediateDelay(0.100000)
AftTorp1.SetReloadDelay(40.000000)
AftTorp1.SetMaxReady(2)
AftTorp1Direction = App.TGPoint3()
AftTorp1Direction.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorp1.SetDirection(AftTorp1Direction)
AftTorp1Right = App.TGPoint3()
AftTorp1Right.SetXYZ(1.000000, 0.000000, 0.000000)
AftTorp1.SetRight(AftTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorp1)
#################################################
VentralPhaser1a = App.PhaserProperty_Create("Ventral Phaser 1a")

VentralPhaser1a.SetMaxCondition(800.000000)
VentralPhaser1a.SetCritical(0)
VentralPhaser1a.SetTargetable(1)
VentralPhaser1a.SetPrimary(1)
VentralPhaser1a.SetPosition(-0.060080, 0.886109, 0.157718)
VentralPhaser1a.SetPosition2D(27.000000, 25.000000)
VentralPhaser1a.SetRepairComplexity(7.000000)
VentralPhaser1a.SetDisabledPercentage(0.500000)
VentralPhaser1a.SetRadius(0.050000)
VentralPhaser1a.SetDumbfire(0)
VentralPhaser1a.SetWeaponID(1)
VentralPhaser1a.SetGroups(0)
VentralPhaser1a.SetDamageRadiusFactor(0.150000)
VentralPhaser1a.SetIconNum(361)
VentralPhaser1a.SetIconPositionX(42.000000)
VentralPhaser1a.SetIconPositionY(46.000000)
VentralPhaser1a.SetIconAboveShip(0)
VentralPhaser1a.SetFireSound("WCGKphaser")
VentralPhaser1a.SetMaxCharge(5.000000)
VentralPhaser1a.SetMaxDamage(300.000000)
VentralPhaser1a.SetMaxDamageDistance(60.000000)
VentralPhaser1a.SetMinFiringCharge(1.000000)
VentralPhaser1a.SetNormalDischargeRate(1.000000)
VentralPhaser1a.SetRechargeRate(0.080000)
VentralPhaser1a.SetIndicatorIconNum(508)
VentralPhaser1a.SetIndicatorIconPositionX(43.000000)
VentralPhaser1a.SetIndicatorIconPositionY(44.000000)
VentralPhaser1aForward = App.TGPoint3()
VentralPhaser1aForward.SetXYZ(-0.966104, 0.232627, -0.111931)
VentralPhaser1aUp = App.TGPoint3()
VentralPhaser1aUp.SetXYZ(0.097712, -0.071805, -0.992621)
VentralPhaser1a.SetOrientation(VentralPhaser1aForward, VentralPhaser1aUp)
VentralPhaser1a.SetWidth(0.001000)
VentralPhaser1a.SetLength(0.001000)
VentralPhaser1a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser1a.SetArcHeightAngles(-0.122173, 1.308997)
VentralPhaser1a.SetPhaserTextureStart(0)
VentralPhaser1a.SetPhaserTextureEnd(7)
VentralPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
VentralPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
VentralPhaser1a.SetInnerCoreColor(kColor)
VentralPhaser1a.SetNumSides(6)
VentralPhaser1a.SetMainRadius(0.040000)
VentralPhaser1a.SetTaperRadius(0.010000)
VentralPhaser1a.SetCoreScale(0.500000)
VentralPhaser1a.SetTaperRatio(0.250000)
VentralPhaser1a.SetTaperMinLength(5.000000)
VentralPhaser1a.SetTaperMaxLength(30.000000)
VentralPhaser1a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1a.SetPerimeterTile(1.000000)
VentralPhaser1a.SetTextureSpeed(2.000000)
VentralPhaser1a.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1a)
#################################################
VentralPhaser1b = App.PhaserProperty_Create("Ventral Phaser 1b")

VentralPhaser1b.SetMaxCondition(800.000000)
VentralPhaser1b.SetCritical(0)
VentralPhaser1b.SetTargetable(1)
VentralPhaser1b.SetPrimary(1)
VentralPhaser1b.SetPosition(-0.063275, 0.834686, 0.157370)
VentralPhaser1b.SetPosition2D(34.000000, 25.000000)
VentralPhaser1b.SetRepairComplexity(7.000000)
VentralPhaser1b.SetDisabledPercentage(0.500000)
VentralPhaser1b.SetRadius(0.050000)
VentralPhaser1b.SetDumbfire(0)
VentralPhaser1b.SetWeaponID(1)
VentralPhaser1b.SetGroups(0)
VentralPhaser1b.SetDamageRadiusFactor(0.150000)
VentralPhaser1b.SetIconNum(361)
VentralPhaser1b.SetIconPositionX(46.000000)
VentralPhaser1b.SetIconPositionY(46.000000)
VentralPhaser1b.SetIconAboveShip(0)
VentralPhaser1b.SetFireSound("WCGKphaser")
VentralPhaser1b.SetMaxCharge(5.000000)
VentralPhaser1b.SetMaxDamage(300.000000)
VentralPhaser1b.SetMaxDamageDistance(60.000000)
VentralPhaser1b.SetMinFiringCharge(1.000000)
VentralPhaser1b.SetNormalDischargeRate(1.000000)
VentralPhaser1b.SetRechargeRate(0.080000)
VentralPhaser1b.SetIndicatorIconNum(508)
VentralPhaser1b.SetIndicatorIconPositionX(43.000000)
VentralPhaser1b.SetIndicatorIconPositionY(45.000000)
VentralPhaser1bForward = App.TGPoint3()
VentralPhaser1bForward.SetXYZ(-0.994936, -0.045883, -0.089429)
VentralPhaser1bUp = App.TGPoint3()
VentralPhaser1bUp.SetXYZ(0.090883, -0.030649, -0.995390)
VentralPhaser1b.SetOrientation(VentralPhaser1bForward, VentralPhaser1bUp)
VentralPhaser1b.SetWidth(0.001000)
VentralPhaser1b.SetLength(0.001000)
VentralPhaser1b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser1b.SetArcHeightAngles(-0.122173, 1.308997)
VentralPhaser1b.SetPhaserTextureStart(0)
VentralPhaser1b.SetPhaserTextureEnd(7)
VentralPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
VentralPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
VentralPhaser1b.SetInnerCoreColor(kColor)
VentralPhaser1b.SetNumSides(6)
VentralPhaser1b.SetMainRadius(0.040000)
VentralPhaser1b.SetTaperRadius(0.010000)
VentralPhaser1b.SetCoreScale(0.500000)
VentralPhaser1b.SetTaperRatio(0.250000)
VentralPhaser1b.SetTaperMinLength(5.000000)
VentralPhaser1b.SetTaperMaxLength(30.000000)
VentralPhaser1b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1b.SetPerimeterTile(1.000000)
VentralPhaser1b.SetTextureSpeed(2.000000)
VentralPhaser1b.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1b)
#################################################
VentralPhaser2a = App.PhaserProperty_Create("Ventral Phaser 2a")

VentralPhaser2a.SetMaxCondition(800.000000)
VentralPhaser2a.SetCritical(0)
VentralPhaser2a.SetTargetable(1)
VentralPhaser2a.SetPrimary(1)
VentralPhaser2a.SetPosition(0.002665, 0.945382, 0.158841)
VentralPhaser2a.SetPosition2D(75.000000, 1.000000)
VentralPhaser2a.SetRepairComplexity(7.000000)
VentralPhaser2a.SetDisabledPercentage(0.500000)
VentralPhaser2a.SetRadius(0.050000)
VentralPhaser2a.SetDumbfire(0)
VentralPhaser2a.SetWeaponID(2)
VentralPhaser2a.SetGroups(0)
VentralPhaser2a.SetDamageRadiusFactor(0.150000)
VentralPhaser2a.SetIconNum(364)
VentralPhaser2a.SetIconPositionX(63.000000)
VentralPhaser2a.SetIconPositionY(38.000000)
VentralPhaser2a.SetIconAboveShip(0)
VentralPhaser2a.SetFireSound("WCGKphaser")
VentralPhaser2a.SetMaxCharge(5.000000)
VentralPhaser2a.SetMaxDamage(300.000000)
VentralPhaser2a.SetMaxDamageDistance(60.000000)
VentralPhaser2a.SetMinFiringCharge(1.000000)
VentralPhaser2a.SetNormalDischargeRate(1.000000)
VentralPhaser2a.SetRechargeRate(0.080000)
VentralPhaser2a.SetIndicatorIconNum(510)
VentralPhaser2a.SetIndicatorIconPositionX(58.000000)
VentralPhaser2a.SetIndicatorIconPositionY(37.000000)
VentralPhaser2aForward = App.TGPoint3()
VentralPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2aUp = App.TGPoint3()
VentralPhaser2aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2a.SetOrientation(VentralPhaser2aForward, VentralPhaser2aUp)
VentralPhaser2a.SetWidth(0.001000)
VentralPhaser2a.SetLength(0.001000)
VentralPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2a.SetArcHeightAngles(0.000000, 1.570796)
VentralPhaser2a.SetPhaserTextureStart(0)
VentralPhaser2a.SetPhaserTextureEnd(7)
VentralPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
VentralPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
VentralPhaser2a.SetInnerCoreColor(kColor)
VentralPhaser2a.SetNumSides(6)
VentralPhaser2a.SetMainRadius(0.050000)
VentralPhaser2a.SetTaperRadius(0.010000)
VentralPhaser2a.SetCoreScale(0.700000)
VentralPhaser2a.SetTaperRatio(0.250000)
VentralPhaser2a.SetTaperMinLength(5.000000)
VentralPhaser2a.SetTaperMaxLength(30.000000)
VentralPhaser2a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2a.SetPerimeterTile(1.000000)
VentralPhaser2a.SetTextureSpeed(2.000000)
VentralPhaser2a.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2a)
#################################################
VentralPhaser2b = App.PhaserProperty_Create("Ventral Phaser 2b")

VentralPhaser2b.SetMaxCondition(800.000000)
VentralPhaser2b.SetCritical(0)
VentralPhaser2b.SetTargetable(1)
VentralPhaser2b.SetPrimary(1)
VentralPhaser2b.SetPosition(-0.007175, 0.945223, 0.158397)
VentralPhaser2b.SetPosition2D(80.000000, 1.000000)
VentralPhaser2b.SetRepairComplexity(7.000000)
VentralPhaser2b.SetDisabledPercentage(0.500000)
VentralPhaser2b.SetRadius(0.050000)
VentralPhaser2b.SetDumbfire(0)
VentralPhaser2b.SetWeaponID(3)
VentralPhaser2b.SetGroups(0)
VentralPhaser2b.SetDamageRadiusFactor(0.150000)
VentralPhaser2b.SetIconNum(364)
VentralPhaser2b.SetIconPositionX(63.000000)
VentralPhaser2b.SetIconPositionY(41.000000)
VentralPhaser2b.SetIconAboveShip(0)
VentralPhaser2b.SetFireSound("WCGKphaser")
VentralPhaser2b.SetMaxCharge(5.000000)
VentralPhaser2b.SetMaxDamage(300.000000)
VentralPhaser2b.SetMaxDamageDistance(60.000000)
VentralPhaser2b.SetMinFiringCharge(1.000000)
VentralPhaser2b.SetNormalDischargeRate(1.000000)
VentralPhaser2b.SetRechargeRate(0.080000)
VentralPhaser2b.SetIndicatorIconNum(510)
VentralPhaser2b.SetIndicatorIconPositionX(58.000000)
VentralPhaser2b.SetIndicatorIconPositionY(34.000000)
VentralPhaser2bForward = App.TGPoint3()
VentralPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2bUp = App.TGPoint3()
VentralPhaser2bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2b.SetOrientation(VentralPhaser2bForward, VentralPhaser2bUp)
VentralPhaser2b.SetWidth(0.001000)
VentralPhaser2b.SetLength(0.001000)
VentralPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2b.SetArcHeightAngles(0.000000, 1.570796)
VentralPhaser2b.SetPhaserTextureStart(0)
VentralPhaser2b.SetPhaserTextureEnd(7)
VentralPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
VentralPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
VentralPhaser2b.SetInnerCoreColor(kColor)
VentralPhaser2b.SetNumSides(6)
VentralPhaser2b.SetMainRadius(0.050000)
VentralPhaser2b.SetTaperRadius(0.010000)
VentralPhaser2b.SetCoreScale(0.700000)
VentralPhaser2b.SetTaperRatio(0.250000)
VentralPhaser2b.SetTaperMinLength(5.000000)
VentralPhaser2b.SetTaperMaxLength(30.000000)
VentralPhaser2b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2b.SetPerimeterTile(1.000000)
VentralPhaser2b.SetTextureSpeed(2.000000)
VentralPhaser2b.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2b)
#################################################
VentralPhaser3a = App.PhaserProperty_Create("Ventral Phaser 3a")

VentralPhaser3a.SetMaxCondition(800.000000)
VentralPhaser3a.SetCritical(0)
VentralPhaser3a.SetTargetable(1)
VentralPhaser3a.SetPrimary(1)
VentralPhaser3a.SetPosition(0.054368, 0.885805, 0.157655)
VentralPhaser3a.SetPosition2D(94.000000, 25.000000)
VentralPhaser3a.SetRepairComplexity(7.000000)
VentralPhaser3a.SetDisabledPercentage(0.500000)
VentralPhaser3a.SetRadius(0.050000)
VentralPhaser3a.SetDumbfire(0)
VentralPhaser3a.SetWeaponID(4)
VentralPhaser3a.SetGroups(0)
VentralPhaser3a.SetDamageRadiusFactor(0.150000)
VentralPhaser3a.SetIconNum(362)
VentralPhaser3a.SetIconPositionX(93.000000)
VentralPhaser3a.SetIconPositionY(45.000000)
VentralPhaser3a.SetIconAboveShip(0)
VentralPhaser3a.SetFireSound("WCGKphaser")
VentralPhaser3a.SetMaxCharge(5.000000)
VentralPhaser3a.SetMaxDamage(300.000000)
VentralPhaser3a.SetMaxDamageDistance(60.000000)
VentralPhaser3a.SetMinFiringCharge(1.000000)
VentralPhaser3a.SetNormalDischargeRate(1.000000)
VentralPhaser3a.SetRechargeRate(0.080000)
VentralPhaser3a.SetIndicatorIconNum(509)
VentralPhaser3a.SetIndicatorIconPositionX(93.000000)
VentralPhaser3a.SetIndicatorIconPositionY(44.000000)
VentralPhaser3aForward = App.TGPoint3()
VentralPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3aUp = App.TGPoint3()
VentralPhaser3aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3a.SetOrientation(VentralPhaser3aForward, VentralPhaser3aUp)
VentralPhaser3a.SetWidth(0.001000)
VentralPhaser3a.SetLength(0.001000)
VentralPhaser3a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser3a.SetArcHeightAngles(-0.029671, 1.570796)
VentralPhaser3a.SetPhaserTextureStart(0)
VentralPhaser3a.SetPhaserTextureEnd(7)
VentralPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
VentralPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
VentralPhaser3a.SetInnerCoreColor(kColor)
VentralPhaser3a.SetNumSides(6)
VentralPhaser3a.SetMainRadius(0.040000)
VentralPhaser3a.SetTaperRadius(0.010000)
VentralPhaser3a.SetCoreScale(0.500000)
VentralPhaser3a.SetTaperRatio(0.250000)
VentralPhaser3a.SetTaperMinLength(5.000000)
VentralPhaser3a.SetTaperMaxLength(30.000000)
VentralPhaser3a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3a.SetPerimeterTile(1.000000)
VentralPhaser3a.SetTextureSpeed(2.000000)
VentralPhaser3a.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3a)
#################################################
VentralPhaser3b = App.PhaserProperty_Create("Ventral Phaser 3b")

VentralPhaser3b.SetMaxCondition(800.000000)
VentralPhaser3b.SetCritical(0)
VentralPhaser3b.SetTargetable(1)
VentralPhaser3b.SetPrimary(1)
VentralPhaser3b.SetPosition(0.057512, 0.835253, 0.157752)
VentralPhaser3b.SetPosition2D(100.000000, 25.000000)
VentralPhaser3b.SetRepairComplexity(7.000000)
VentralPhaser3b.SetDisabledPercentage(0.500000)
VentralPhaser3b.SetRadius(0.050000)
VentralPhaser3b.SetDumbfire(0)
VentralPhaser3b.SetWeaponID(4)
VentralPhaser3b.SetGroups(0)
VentralPhaser3b.SetDamageRadiusFactor(0.150000)
VentralPhaser3b.SetIconNum(362)
VentralPhaser3b.SetIconPositionX(97.000000)
VentralPhaser3b.SetIconPositionY(46.000000)
VentralPhaser3b.SetIconAboveShip(0)
VentralPhaser3b.SetFireSound("WCGKphaser")
VentralPhaser3b.SetMaxCharge(5.000000)
VentralPhaser3b.SetMaxDamage(300.000000)
VentralPhaser3b.SetMaxDamageDistance(60.000000)
VentralPhaser3b.SetMinFiringCharge(1.000000)
VentralPhaser3b.SetNormalDischargeRate(1.000000)
VentralPhaser3b.SetRechargeRate(0.080000)
VentralPhaser3b.SetIndicatorIconNum(509)
VentralPhaser3b.SetIndicatorIconPositionX(94.000000)
VentralPhaser3b.SetIndicatorIconPositionY(44.000000)
VentralPhaser3bForward = App.TGPoint3()
VentralPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3bUp = App.TGPoint3()
VentralPhaser3bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3b.SetOrientation(VentralPhaser3bForward, VentralPhaser3bUp)
VentralPhaser3b.SetWidth(0.001000)
VentralPhaser3b.SetLength(0.001000)
VentralPhaser3b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser3b.SetArcHeightAngles(-0.122173, 1.308997)
VentralPhaser3b.SetPhaserTextureStart(0)
VentralPhaser3b.SetPhaserTextureEnd(7)
VentralPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
VentralPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
VentralPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
VentralPhaser3b.SetInnerCoreColor(kColor)
VentralPhaser3b.SetNumSides(6)
VentralPhaser3b.SetMainRadius(0.040000)
VentralPhaser3b.SetTaperRadius(0.010000)
VentralPhaser3b.SetCoreScale(0.500000)
VentralPhaser3b.SetTaperRatio(0.250000)
VentralPhaser3b.SetTaperMinLength(5.000000)
VentralPhaser3b.SetTaperMaxLength(30.000000)
VentralPhaser3b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3b.SetPerimeterTile(1.000000)
VentralPhaser3b.SetTextureSpeed(2.000000)
VentralPhaser3b.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3b)
#################################################
AftPhaser1 = App.PhaserProperty_Create("Aft Phaser 1")

AftPhaser1.SetMaxCondition(800.000000)
AftPhaser1.SetCritical(0)
AftPhaser1.SetTargetable(1)
AftPhaser1.SetPrimary(1)
AftPhaser1.SetPosition(-0.100506, -0.689311, -0.101530)
AftPhaser1.SetPosition2D(55.000000, 81.000000)
AftPhaser1.SetRepairComplexity(7.000000)
AftPhaser1.SetDisabledPercentage(0.750000)
AftPhaser1.SetRadius(0.050000)
AftPhaser1.SetDumbfire(0)
AftPhaser1.SetWeaponID(1)
AftPhaser1.SetGroups(0)
AftPhaser1.SetDamageRadiusFactor(0.150000)
AftPhaser1.SetIconNum(363)
AftPhaser1.SetIconPositionX(46.000000)
AftPhaser1.SetIconPositionY(123.000000)
AftPhaser1.SetIconAboveShip(0)
AftPhaser1.SetFireSound("WCGKphaser")
AftPhaser1.SetMaxCharge(3.000000)
AftPhaser1.SetMaxDamage(300.000000)
AftPhaser1.SetMaxDamageDistance(60.000000)
AftPhaser1.SetMinFiringCharge(1.000000)
AftPhaser1.SetNormalDischargeRate(1.000000)
AftPhaser1.SetRechargeRate(0.080000)
AftPhaser1.SetIndicatorIconNum(511)
AftPhaser1.SetIndicatorIconPositionX(39.000000)
AftPhaser1.SetIndicatorIconPositionY(118.000000)
AftPhaser1Forward = App.TGPoint3()
AftPhaser1Forward.SetXYZ(-0.504144, -0.827478, -0.247224)
AftPhaser1Up = App.TGPoint3()
AftPhaser1Up.SetXYZ(-0.302871, -0.462633, 0.833211)
AftPhaser1.SetOrientation(AftPhaser1Forward, AftPhaser1Up)
AftPhaser1.SetWidth(0.001000)
AftPhaser1.SetLength(0.001000)
AftPhaser1.SetArcWidthAngles(-0.785398, 0.349066)
AftPhaser1.SetArcHeightAngles(-0.785398, 0.174533)
AftPhaser1.SetPhaserTextureStart(0)
AftPhaser1.SetPhaserTextureEnd(7)
AftPhaser1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
AftPhaser1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
AftPhaser1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
AftPhaser1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
AftPhaser1.SetInnerCoreColor(kColor)
AftPhaser1.SetNumSides(6)
AftPhaser1.SetMainRadius(0.040000)
AftPhaser1.SetTaperRadius(0.010000)
AftPhaser1.SetCoreScale(0.500000)
AftPhaser1.SetTaperRatio(0.250000)
AftPhaser1.SetTaperMinLength(5.000000)
AftPhaser1.SetTaperMaxLength(30.000000)
AftPhaser1.SetLengthTextureTilePerUnit(0.050000)
AftPhaser1.SetPerimeterTile(1.000000)
AftPhaser1.SetTextureSpeed(2.000000)
AftPhaser1.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftPhaser1)
#################################################
AftPhaser2 = App.PhaserProperty_Create("Aft Phaser 2")

AftPhaser2.SetMaxCondition(800.000000)
AftPhaser2.SetCritical(0)
AftPhaser2.SetTargetable(1)
AftPhaser2.SetPrimary(1)
AftPhaser2.SetPosition(0.096617, -0.688310, -0.101620)
AftPhaser2.SetPosition2D(73.000000, 81.000000)
AftPhaser2.SetRepairComplexity(7.000000)
AftPhaser2.SetDisabledPercentage(0.750000)
AftPhaser2.SetRadius(0.050000)
AftPhaser2.SetDumbfire(0)
AftPhaser2.SetWeaponID(1)
AftPhaser2.SetGroups(0)
AftPhaser2.SetDamageRadiusFactor(0.150000)
AftPhaser2.SetIconNum(363)
AftPhaser2.SetIconPositionX(75.000000)
AftPhaser2.SetIconPositionY(123.000000)
AftPhaser2.SetIconAboveShip(0)
AftPhaser2.SetFireSound("WCGKphaser")
AftPhaser2.SetMaxCharge(3.000000)
AftPhaser2.SetMaxDamage(300.000000)
AftPhaser2.SetMaxDamageDistance(60.000000)
AftPhaser2.SetMinFiringCharge(1.000000)
AftPhaser2.SetNormalDischargeRate(1.000000)
AftPhaser2.SetRechargeRate(0.080000)
AftPhaser2.SetIndicatorIconNum(511)
AftPhaser2.SetIndicatorIconPositionX(69.000000)
AftPhaser2.SetIndicatorIconPositionY(118.000000)
AftPhaser2Forward = App.TGPoint3()
AftPhaser2Forward.SetXYZ(0.542786, -0.813190, -0.210011)
AftPhaser2Up = App.TGPoint3()
AftPhaser2Up.SetXYZ(0.297883, -0.426891, 0.853832)
AftPhaser2.SetOrientation(AftPhaser2Forward, AftPhaser2Up)
AftPhaser2.SetWidth(0.001000)
AftPhaser2.SetLength(0.001000)
AftPhaser2.SetArcWidthAngles(-0.349066, 0.785398)
AftPhaser2.SetArcHeightAngles(-0.785398, 0.174533)
AftPhaser2.SetPhaserTextureStart(0)
AftPhaser2.SetPhaserTextureEnd(7)
AftPhaser2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
AftPhaser2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.011765, 0.839216, 1.000000, 1.000000)
AftPhaser2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.639216, 0.811765, 1.000000, 1.000000)
AftPhaser2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.858824, 0.949020, 0.992157, 1.000000)
AftPhaser2.SetInnerCoreColor(kColor)
AftPhaser2.SetNumSides(6)
AftPhaser2.SetMainRadius(0.040000)
AftPhaser2.SetTaperRadius(0.010000)
AftPhaser2.SetCoreScale(0.500000)
AftPhaser2.SetTaperRatio(0.250000)
AftPhaser2.SetTaperMinLength(5.000000)
AftPhaser2.SetTaperMaxLength(30.000000)
AftPhaser2.SetLengthTextureTilePerUnit(0.050000)
AftPhaser2.SetPerimeterTile(1.000000)
AftPhaser2.SetTextureSpeed(2.000000)
AftPhaser2.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftPhaser2)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(1500.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.000689, 0.406634, -0.246198)
ForwardTractor.SetPosition2D(66.000000, 3.000000)
ForwardTractor.SetRepairComplexity(7.000000)
ForwardTractor.SetDisabledPercentage(0.750000)
ForwardTractor.SetRadius(0.030000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(1)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(60.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.300000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.013816, 0.885601, -0.464242)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(-0.000305, -0.190806, 0.981628)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.872665, 0.872665)
ForwardTractor.SetArcHeightAngles(-0.872665, 0.872665)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(1500.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(0.001692, -0.370823, -0.238667)
AftTractor.SetPosition2D(63.000000, 99.000000)
AftTractor.SetRepairComplexity(7.000000)
AftTractor.SetDisabledPercentage(0.750000)
AftTractor.SetRadius(0.030000)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(1)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.300000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor Beam")
AftTractor.SetMaxCharge(5.000000)
AftTractor.SetMaxDamage(60.000000)
AftTractor.SetMaxDamageDistance(100.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-0.698132, 0.698132)
AftTractor.SetArcHeightAngles(-0.698132, 0.000000)
AftTractor.SetTractorBeamWidth(0.300000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(-0.002262, -0.762214, -0.090537)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(800.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(-0.004535, -0.750000, -0.089679)
ShuttleBay.SetPosition2D(64.000000, 75.000000)
ShuttleBay.SetRepairComplexity(5.000000)
ShuttleBay.SetDisabledPercentage(0.750000)
ShuttleBay.SetRadius(0.070000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
ProbeLauncher = App.ObjectEmitterProperty_Create("Probe Launcher")

ProbeLauncherForward = App.TGPoint3()
ProbeLauncherForward.SetXYZ(0.000000, 1.000000, 0.000000)
ProbeLauncherUp = App.TGPoint3()
ProbeLauncherUp.SetXYZ(0.000000, 0.000000, 1.000000)
ProbeLauncherRight = App.TGPoint3()
ProbeLauncherRight.SetXYZ(1.000000, 0.000000, 0.000000)
ProbeLauncher.SetOrientation(ProbeLauncherForward, ProbeLauncherUp, ProbeLauncherRight)
ProbeLauncherPosition = App.TGPoint3()
ProbeLauncherPosition.SetXYZ(0.024946, 0.332861, 0.056116)
ProbeLauncher.SetPosition(ProbeLauncherPosition)
ProbeLauncher.SetEmittedObjectType(ProbeLauncher.OEP_PROBE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ProbeLauncher)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(8000.000000)
Bridge.SetCritical(1)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.000000, 0.910000, 0.460000)
Bridge.SetPosition2D(64.000000, 28.000000)
Bridge.SetRepairComplexity(4.000000)
Bridge.SetDisabledPercentage(0.750000)
Bridge.SetRadius(0.050000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
VentralPhaser4a = App.PhaserProperty_Create("Ventral Phaser 4a")

VentralPhaser4a.SetMaxCondition(800.000000)
VentralPhaser4a.SetCritical(0)
VentralPhaser4a.SetTargetable(1)
VentralPhaser4a.SetPrimary(1)
VentralPhaser4a.SetPosition(-0.021751, 0.061255, -0.366913)
VentralPhaser4a.SetPosition2D(29.000000, 60.000000)
VentralPhaser4a.SetRepairComplexity(7.000000)
VentralPhaser4a.SetDisabledPercentage(0.750000)
VentralPhaser4a.SetRadius(0.050000)
VentralPhaser4a.SetDumbfire(0)
VentralPhaser4a.SetWeaponID(1)
VentralPhaser4a.SetGroups(0)
VentralPhaser4a.SetDamageRadiusFactor(0.150000)
VentralPhaser4a.SetIconNum(361)
VentralPhaser4a.SetIconPositionX(45.000000)
VentralPhaser4a.SetIconPositionY(77.000000)
VentralPhaser4a.SetIconAboveShip(0)
VentralPhaser4a.SetFireSound("WCGKphaser")
VentralPhaser4a.SetMaxCharge(5.000000)
VentralPhaser4a.SetMaxDamage(150.000000)
VentralPhaser4a.SetMaxDamageDistance(60.000000)
VentralPhaser4a.SetMinFiringCharge(3.500000)
VentralPhaser4a.SetNormalDischargeRate(1.000000)
VentralPhaser4a.SetRechargeRate(0.080000)
VentralPhaser4a.SetIndicatorIconNum(508)
VentralPhaser4a.SetIndicatorIconPositionX(41.000000)
VentralPhaser4a.SetIndicatorIconPositionY(76.000000)
VentralPhaser4aForward = App.TGPoint3()
VentralPhaser4aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser4aUp = App.TGPoint3()
VentralPhaser4aUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser4a.SetOrientation(VentralPhaser4aForward, VentralPhaser4aUp)
VentralPhaser4a.SetWidth(0.001000)
VentralPhaser4a.SetLength(0.001000)
VentralPhaser4a.SetArcWidthAngles(-0.523599, 0.523599)
VentralPhaser4a.SetArcHeightAngles(-0.349066, -1.570796)
VentralPhaser4a.SetPhaserTextureStart(0)
VentralPhaser4a.SetPhaserTextureEnd(7)
VentralPhaser4a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser4a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser4a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser4a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser4a.SetInnerCoreColor(kColor)
VentralPhaser4a.SetNumSides(6)
VentralPhaser4a.SetMainRadius(0.040000)
VentralPhaser4a.SetTaperRadius(0.010000)
VentralPhaser4a.SetCoreScale(0.500000)
VentralPhaser4a.SetTaperRatio(0.250000)
VentralPhaser4a.SetTaperMinLength(5.000000)
VentralPhaser4a.SetTaperMaxLength(30.000000)
VentralPhaser4a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser4a.SetPerimeterTile(1.000000)
VentralPhaser4a.SetTextureSpeed(5.000000)
VentralPhaser4a.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser4a)
#################################################
VentralPhaser4b = App.PhaserProperty_Create("Ventral Phaser 4b")

VentralPhaser4b.SetMaxCondition(800.000000)
VentralPhaser4b.SetCritical(0)
VentralPhaser4b.SetTargetable(1)
VentralPhaser4b.SetPrimary(1)
VentralPhaser4b.SetPosition(-0.021522, 0.069420, -0.368129)
VentralPhaser4b.SetPosition2D(34.000000, 60.000000)
VentralPhaser4b.SetRepairComplexity(7.000000)
VentralPhaser4b.SetDisabledPercentage(0.750000)
VentralPhaser4b.SetRadius(0.050000)
VentralPhaser4b.SetDumbfire(0)
VentralPhaser4b.SetWeaponID(1)
VentralPhaser4b.SetGroups(0)
VentralPhaser4b.SetDamageRadiusFactor(0.150000)
VentralPhaser4b.SetIconNum(361)
VentralPhaser4b.SetIconPositionX(44.000000)
VentralPhaser4b.SetIconPositionY(78.000000)
VentralPhaser4b.SetIconAboveShip(0)
VentralPhaser4b.SetFireSound("WCGKphaser")
VentralPhaser4b.SetMaxCharge(5.000000)
VentralPhaser4b.SetMaxDamage(150.000000)
VentralPhaser4b.SetMaxDamageDistance(60.000000)
VentralPhaser4b.SetMinFiringCharge(3.500000)
VentralPhaser4b.SetNormalDischargeRate(1.000000)
VentralPhaser4b.SetRechargeRate(0.080000)
VentralPhaser4b.SetIndicatorIconNum(508)
VentralPhaser4b.SetIndicatorIconPositionX(41.000000)
VentralPhaser4b.SetIndicatorIconPositionY(75.000000)
VentralPhaser4bForward = App.TGPoint3()
VentralPhaser4bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser4bUp = App.TGPoint3()
VentralPhaser4bUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser4b.SetOrientation(VentralPhaser4bForward, VentralPhaser4bUp)
VentralPhaser4b.SetWidth(0.001000)
VentralPhaser4b.SetLength(0.001000)
VentralPhaser4b.SetArcWidthAngles(-0.523599, 0.523599)
VentralPhaser4b.SetArcHeightAngles(-0.349066, -1.570796)
VentralPhaser4b.SetPhaserTextureStart(0)
VentralPhaser4b.SetPhaserTextureEnd(7)
VentralPhaser4b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser4b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser4b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser4b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser4b.SetInnerCoreColor(kColor)
VentralPhaser4b.SetNumSides(6)
VentralPhaser4b.SetMainRadius(0.040000)
VentralPhaser4b.SetTaperRadius(0.010000)
VentralPhaser4b.SetCoreScale(0.500000)
VentralPhaser4b.SetTaperRatio(0.250000)
VentralPhaser4b.SetTaperMinLength(5.000000)
VentralPhaser4b.SetTaperMaxLength(30.000000)
VentralPhaser4b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser4b.SetPerimeterTile(1.000000)
VentralPhaser4b.SetTextureSpeed(5.000000)
VentralPhaser4b.SetTextureName("data/Textures/Tactical/WCGKPhaser2.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser4b)
#################################################
VentralPhaser5a = App.PhaserProperty_Create("Ventral Phaser 5a")

VentralPhaser5a.SetMaxCondition(800.000000)
VentralPhaser5a.SetCritical(0)
VentralPhaser5a.SetTargetable(1)
VentralPhaser5a.SetPrimary(1)
VentralPhaser5a.SetPosition(0.015504, 0.059632, -0.367039)
VentralPhaser5a.SetPosition2D(89.000000, 60.000000)
VentralPhaser5a.SetRepairComplexity(7.000000)
VentralPhaser5a.SetDisabledPercentage(0.750000)
VentralPhaser5a.SetRadius(0.050000)
VentralPhaser5a.SetDumbfire(0)
VentralPhaser5a.SetWeaponID(4)
VentralPhaser5a.SetGroups(0)
VentralPhaser5a.SetDamageRadiusFactor(0.150000)
VentralPhaser5a.SetIconNum(362)
VentralPhaser5a.SetIconPositionX(95.000000)
VentralPhaser5a.SetIconPositionY(79.000000)
VentralPhaser5a.SetIconAboveShip(0)
VentralPhaser5a.SetFireSound("WCGKphaser")
VentralPhaser5a.SetMaxCharge(5.000000)
VentralPhaser5a.SetMaxDamage(150.000000)
VentralPhaser5a.SetMaxDamageDistance(60.000000)
VentralPhaser5a.SetMinFiringCharge(3.500000)
VentralPhaser5a.SetNormalDischargeRate(1.000000)
VentralPhaser5a.SetRechargeRate(0.080000)
VentralPhaser5a.SetIndicatorIconNum(509)
VentralPhaser5a.SetIndicatorIconPositionX(95.000000)
VentralPhaser5a.SetIndicatorIconPositionY(80.000000)
VentralPhaser5aForward = App.TGPoint3()
VentralPhaser5aForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser5aUp = App.TGPoint3()
VentralPhaser5aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser5a.SetOrientation(VentralPhaser5aForward, VentralPhaser5aUp)
VentralPhaser5a.SetWidth(0.001000)
VentralPhaser5a.SetLength(0.001000)
VentralPhaser5a.SetArcWidthAngles(-0.523599, 0.523599)
VentralPhaser5a.SetArcHeightAngles(0.349066, 1.570796)
VentralPhaser5a.SetPhaserTextureStart(0)
VentralPhaser5a.SetPhaserTextureEnd(7)
VentralPhaser5a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser5a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser5a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser5a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser5a.SetInnerCoreColor(kColor)
VentralPhaser5a.SetNumSides(6)
VentralPhaser5a.SetMainRadius(0.040000)
VentralPhaser5a.SetTaperRadius(0.010000)
VentralPhaser5a.SetCoreScale(0.500000)
VentralPhaser5a.SetTaperRatio(0.250000)
VentralPhaser5a.SetTaperMinLength(5.000000)
VentralPhaser5a.SetTaperMaxLength(30.000000)
VentralPhaser5a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser5a.SetPerimeterTile(1.000000)
VentralPhaser5a.SetTextureSpeed(5.000000)
VentralPhaser5a.SetTextureName("data/Textures/Tactical/WCGKPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser5a)
#################################################
VentralPhaser5b = App.PhaserProperty_Create("Ventral Phaser 5b")

VentralPhaser5b.SetMaxCondition(800.000000)
VentralPhaser5b.SetCritical(0)
VentralPhaser5b.SetTargetable(1)
VentralPhaser5b.SetPrimary(1)
VentralPhaser5b.SetPosition(0.010684, 0.068110, -0.368665)
VentralPhaser5b.SetPosition2D(94.000000, 60.000000)
VentralPhaser5b.SetRepairComplexity(7.000000)
VentralPhaser5b.SetDisabledPercentage(0.750000)
VentralPhaser5b.SetRadius(0.050000)
VentralPhaser5b.SetDumbfire(0)
VentralPhaser5b.SetWeaponID(4)
VentralPhaser5b.SetGroups(0)
VentralPhaser5b.SetDamageRadiusFactor(0.150000)
VentralPhaser5b.SetIconNum(362)
VentralPhaser5b.SetIconPositionX(96.000000)
VentralPhaser5b.SetIconPositionY(80.000000)
VentralPhaser5b.SetIconAboveShip(0)
VentralPhaser5b.SetFireSound("WCGKphaser")
VentralPhaser5b.SetMaxCharge(5.000000)
VentralPhaser5b.SetMaxDamage(150.000000)
VentralPhaser5b.SetMaxDamageDistance(60.000000)
VentralPhaser5b.SetMinFiringCharge(3.500000)
VentralPhaser5b.SetNormalDischargeRate(1.000000)
VentralPhaser5b.SetRechargeRate(0.080000)
VentralPhaser5b.SetIndicatorIconNum(509)
VentralPhaser5b.SetIndicatorIconPositionX(96.000000)
VentralPhaser5b.SetIndicatorIconPositionY(80.000000)
VentralPhaser5bForward = App.TGPoint3()
VentralPhaser5bForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser5bUp = App.TGPoint3()
VentralPhaser5bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser5b.SetOrientation(VentralPhaser5bForward, VentralPhaser5bUp)
VentralPhaser5b.SetWidth(0.001000)
VentralPhaser5b.SetLength(0.001000)
VentralPhaser5b.SetArcWidthAngles(-0.523599, 0.523599)
VentralPhaser5b.SetArcHeightAngles(0.349066, 1.570796)
VentralPhaser5b.SetPhaserTextureStart(0)
VentralPhaser5b.SetPhaserTextureEnd(7)
VentralPhaser5b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser5b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser5b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser5b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser5b.SetInnerCoreColor(kColor)
VentralPhaser5b.SetNumSides(6)
VentralPhaser5b.SetMainRadius(0.040000)
VentralPhaser5b.SetTaperRadius(0.010000)
VentralPhaser5b.SetCoreScale(0.500000)
VentralPhaser5b.SetTaperRatio(0.250000)
VentralPhaser5b.SetTaperMinLength(5.000000)
VentralPhaser5b.SetTaperMaxLength(30.000000)
VentralPhaser5b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser5b.SetPerimeterTile(1.000000)
VentralPhaser5b.SetTextureSpeed(5.000000)
VentralPhaser5b.SetTextureName("data/Textures/Tactical/WCGKPhaser2.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser5b)
#################################################
AftTorp2 = App.TorpedoTubeProperty_Create("Aft Torp 2")

AftTorp2.SetMaxCondition(1600.000000)
AftTorp2.SetCritical(0)
AftTorp2.SetTargetable(1)
AftTorp2.SetPrimary(1)
AftTorp2.SetPosition(0.022633, -0.442952, -0.227513)
AftTorp2.SetPosition2D(64.000000, 86.000000)
AftTorp2.SetRepairComplexity(3.000000)
AftTorp2.SetDisabledPercentage(0.750000)
AftTorp2.SetRadius(0.030000)
AftTorp2.SetDumbfire(1)
AftTorp2.SetWeaponID(4)
AftTorp2.SetGroups(4)
AftTorp2.SetDamageRadiusFactor(0.600000)
AftTorp2.SetIconNum(370)
AftTorp2.SetIconPositionX(80.000000)
AftTorp2.SetIconPositionY(102.000000)
AftTorp2.SetIconAboveShip(1)
AftTorp2.SetImmediateDelay(0.100000)
AftTorp2.SetReloadDelay(40.000000)
AftTorp2.SetMaxReady(2)
AftTorp2Direction = App.TGPoint3()
AftTorp2Direction.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorp2.SetDirection(AftTorp2Direction)
AftTorp2Right = App.TGPoint3()
AftTorp2Right.SetXYZ(1.000000, 0.000000, 0.000000)
AftTorp2.SetRight(AftTorp2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorp2)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(4000.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.534198, -0.610581, 0.400000)
PortWarp.SetPosition2D(80.000000, 80.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.090000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(4000.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.534198, -0.610581, 0.400000)
StarWarp.SetPosition2D(80.000000, 80.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.090000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
sau1 = App.BlinkingLightProperty_Create("sau1")

sau1Forward = App.TGPoint3()
sau1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
sau1Up = App.TGPoint3()
sau1Up.SetXYZ(0.000000, 0.000000, 1.000000)
sau1Right = App.TGPoint3()
sau1Right.SetXYZ(1.000000, 0.000000, 0.000000)
sau1.SetOrientation(sau1Forward, sau1Up, sau1Right)
sau1Position = App.TGPoint3()
sau1Position.SetXYZ(-0.002462, 1.589550, 0.328626)
sau1.SetPosition(sau1Position)
sau1LightColor = App.TGColorA()
sau1LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
sau1.SetColor(sau1LightColor)
sau1.SetRadius(1.000000)
sau1.SetPeriod(0.000000)
sau1.SetDuration(0.000000)
sau1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(sau1)
#################################################
saur1 = App.BlinkingLightProperty_Create("saur1")

saur1Forward = App.TGPoint3()
saur1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saur1Up = App.TGPoint3()
saur1Up.SetXYZ(0.000000, 0.000000, 1.000000)
saur1Right = App.TGPoint3()
saur1Right.SetXYZ(1.000000, 0.000000, 0.000000)
saur1.SetOrientation(saur1Forward, saur1Up, saur1Right)
saur1Position = App.TGPoint3()
saur1Position.SetXYZ(-0.692298, 0.881431, 0.335747)
saur1.SetPosition(saur1Position)
saur1LightColor = App.TGColorA()
saur1LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
saur1.SetColor(saur1LightColor)
saur1.SetRadius(1.000000)
saur1.SetPeriod(0.000000)
saur1.SetDuration(0.000000)
saur1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saur1)
#################################################
saug1 = App.BlinkingLightProperty_Create("saug1")

saug1Forward = App.TGPoint3()
saug1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saug1Up = App.TGPoint3()
saug1Up.SetXYZ(0.000000, 0.000000, 1.000000)
saug1Right = App.TGPoint3()
saug1Right.SetXYZ(1.000000, 0.000000, 0.000000)
saug1.SetOrientation(saug1Forward, saug1Up, saug1Right)
saug1Position = App.TGPoint3()
saug1Position.SetXYZ(0.692043, 0.881416, 0.335746)
saug1.SetPosition(saug1Position)
saug1LightColor = App.TGColorA()
saug1LightColor.SetRGBA(0.000000, 1.000000, 0.250980, 1.000000)
saug1.SetColor(saug1LightColor)
saug1.SetRadius(1.000000)
saug1.SetPeriod(0.000000)
saug1.SetDuration(0.000000)
saug1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saug1)
#################################################
bsau1 = App.BlinkingLightProperty_Create("bsau1")

bsau1Forward = App.TGPoint3()
bsau1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
bsau1Up = App.TGPoint3()
bsau1Up.SetXYZ(0.000000, 0.000000, 1.000000)
bsau1Right = App.TGPoint3()
bsau1Right.SetXYZ(1.000000, 0.000000, 0.000000)
bsau1.SetOrientation(bsau1Forward, bsau1Up, bsau1Right)
bsau1Position = App.TGPoint3()
bsau1Position.SetXYZ(-0.003256, 1.560990, 0.270936)
bsau1.SetPosition(bsau1Position)
bsau1LightColor = App.TGColorA()
bsau1LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
bsau1.SetColor(bsau1LightColor)
bsau1.SetRadius(1.000000)
bsau1.SetPeriod(0.000000)
bsau1.SetDuration(0.000000)
bsau1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(bsau1)
#################################################
bsau4 = App.BlinkingLightProperty_Create("bsau4")

bsau4Forward = App.TGPoint3()
bsau4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
bsau4Up = App.TGPoint3()
bsau4Up.SetXYZ(0.000000, 0.000000, 1.000000)
bsau4Right = App.TGPoint3()
bsau4Right.SetXYZ(1.000000, 0.000000, 0.000000)
bsau4.SetOrientation(bsau4Forward, bsau4Up, bsau4Right)
bsau4Position = App.TGPoint3()
bsau4Position.SetXYZ(0.531887, -0.002354, 0.519534)
bsau4.SetPosition(bsau4Position)
bsau4LightColor = App.TGColorA()
bsau4LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
bsau4.SetColor(bsau4LightColor)
bsau4.SetRadius(1.000000)
bsau4.SetPeriod(0.000000)
bsau4.SetDuration(0.000000)
bsau4.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(bsau4)
#################################################
bsau5 = App.BlinkingLightProperty_Create("bsau5")

bsau5Forward = App.TGPoint3()
bsau5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
bsau5Up = App.TGPoint3()
bsau5Up.SetXYZ(0.000000, 0.000000, 1.000000)
bsau5Right = App.TGPoint3()
bsau5Right.SetXYZ(1.000000, 0.000000, 0.000000)
bsau5.SetOrientation(bsau5Forward, bsau5Up, bsau5Right)
bsau5Position = App.TGPoint3()
bsau5Position.SetXYZ(-0.534077, -0.002698, 0.519604)
bsau5.SetPosition(bsau5Position)
bsau5LightColor = App.TGColorA()
bsau5LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
bsau5.SetColor(bsau5LightColor)
bsau5.SetRadius(1.000000)
bsau5.SetPeriod(0.000000)
bsau5.SetDuration(0.000000)
bsau5.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(bsau5)
#################################################
ForwardTorpedo2 = App.TorpedoTubeProperty_Create("Forward Torpedo 2")

ForwardTorpedo2.SetMaxCondition(1600.000000)
ForwardTorpedo2.SetCritical(0)
ForwardTorpedo2.SetTargetable(1)
ForwardTorpedo2.SetPrimary(1)
ForwardTorpedo2.SetPosition(0.026078, 0.332861, 0.056626)
ForwardTorpedo2.SetPosition2D(56.000000, 10.000000)
ForwardTorpedo2.SetRepairComplexity(3.000000)
ForwardTorpedo2.SetDisabledPercentage(0.500000)
ForwardTorpedo2.SetRadius(0.020000)
ForwardTorpedo2.SetDumbfire(1)
ForwardTorpedo2.SetWeaponID(0)
ForwardTorpedo2.SetGroups(1)
ForwardTorpedo2.SetDamageRadiusFactor(0.600000)
ForwardTorpedo2.SetIconNum(370)
ForwardTorpedo2.SetIconPositionX(80.000000)
ForwardTorpedo2.SetIconPositionY(34.000000)
ForwardTorpedo2.SetIconAboveShip(1)
ForwardTorpedo2.SetImmediateDelay(0.100000)
ForwardTorpedo2.SetReloadDelay(40.000000)
ForwardTorpedo2.SetMaxReady(4)
ForwardTorpedo2Direction = App.TGPoint3()
ForwardTorpedo2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorpedo2.SetDirection(ForwardTorpedo2Direction)
ForwardTorpedo2Right = App.TGPoint3()
ForwardTorpedo2Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorpedo2.SetRight(ForwardTorpedo2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorpedo2)
#################################################
bsau6 = App.BlinkingLightProperty_Create("bsau6")

bsau6Forward = App.TGPoint3()
bsau6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
bsau6Up = App.TGPoint3()
bsau6Up.SetXYZ(0.000000, 0.000000, 1.000000)
bsau6Right = App.TGPoint3()
bsau6Right.SetXYZ(1.000000, 0.000000, 0.000000)
bsau6.SetOrientation(bsau6Forward, bsau6Up, bsau6Right)
bsau6Position = App.TGPoint3()
bsau6Position.SetXYZ(-0.537468, -1.614240, 0.496329)
bsau6.SetPosition(bsau6Position)
bsau6LightColor = App.TGColorA()
bsau6LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
bsau6.SetColor(bsau6LightColor)
bsau6.SetRadius(1.000000)
bsau6.SetPeriod(0.000000)
bsau6.SetDuration(0.000000)
bsau6.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(bsau6)
#################################################
bsau7 = App.BlinkingLightProperty_Create("bsau7")

bsau7Forward = App.TGPoint3()
bsau7Forward.SetXYZ(0.000000, 1.000000, 0.000000)
bsau7Up = App.TGPoint3()
bsau7Up.SetXYZ(0.000000, 0.000000, 1.000000)
bsau7Right = App.TGPoint3()
bsau7Right.SetXYZ(1.000000, 0.000000, 0.000000)
bsau7.SetOrientation(bsau7Forward, bsau7Up, bsau7Right)
bsau7Position = App.TGPoint3()
bsau7Position.SetXYZ(0.529278, -1.614180, 0.496347)
bsau7.SetPosition(bsau7Position)
bsau7LightColor = App.TGColorA()
bsau7LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
bsau7.SetColor(bsau7LightColor)
bsau7.SetRadius(1.000000)
bsau7.SetPeriod(0.000000)
bsau7.SetDuration(0.000000)
bsau7.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(bsau7)
#################################################
saur2 = App.BlinkingLightProperty_Create("saur2")

saur2Forward = App.TGPoint3()
saur2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saur2Up = App.TGPoint3()
saur2Up.SetXYZ(0.000000, 0.000000, 1.000000)
saur2Right = App.TGPoint3()
saur2Right.SetXYZ(1.000000, 0.000000, 0.000000)
saur2.SetOrientation(saur2Forward, saur2Up, saur2Right)
saur2Position = App.TGPoint3()
saur2Position.SetXYZ(-0.675653, 0.881488, 0.264065)
saur2.SetPosition(saur2Position)
saur2LightColor = App.TGColorA()
saur2LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
saur2.SetColor(saur2LightColor)
saur2.SetRadius(1.000000)
saur2.SetPeriod(0.000000)
saur2.SetDuration(0.000000)
saur2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saur2)
#################################################
saug2 = App.BlinkingLightProperty_Create("saug2")

saug2Forward = App.TGPoint3()
saug2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
saug2Up = App.TGPoint3()
saug2Up.SetXYZ(0.000000, 0.000000, 1.000000)
saug2Right = App.TGPoint3()
saug2Right.SetXYZ(1.000000, 0.000000, 0.000000)
saug2.SetOrientation(saug2Forward, saug2Up, saug2Right)
saug2Position = App.TGPoint3()
saug2Position.SetXYZ(0.669919, 0.882059, 0.264065)
saug2.SetPosition(saug2Position)
saug2LightColor = App.TGColorA()
saug2LightColor.SetRGBA(0.000000, 1.000000, 0.250980, 1.000000)
saug2.SetColor(saug2LightColor)
saug2.SetRadius(1.000000)
saug2.SetPeriod(0.000000)
saug2.SetDuration(0.000000)
saug2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(saug2)
#################################################
dish1 = App.BlinkingLightProperty_Create("dish1")

dish1Forward = App.TGPoint3()
dish1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish1Up = App.TGPoint3()
dish1Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish1Right = App.TGPoint3()
dish1Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish1.SetOrientation(dish1Forward, dish1Up, dish1Right)
dish1Position = App.TGPoint3()
dish1Position.SetXYZ(0.077172, 0.436151, -0.019186)
dish1.SetPosition(dish1Position)
dish1LightColor = App.TGColorA()
dish1LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish1.SetColor(dish1LightColor)
dish1.SetRadius(0.800000)
dish1.SetPeriod(0.000000)
dish1.SetDuration(0.000000)
dish1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish1)
#################################################
dish2 = App.BlinkingLightProperty_Create("dish2")

dish2Forward = App.TGPoint3()
dish2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish2Up = App.TGPoint3()
dish2Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish2Right = App.TGPoint3()
dish2Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish2.SetOrientation(dish2Forward, dish2Up, dish2Right)
dish2Position = App.TGPoint3()
dish2Position.SetXYZ(0.106053, 0.436151, -0.041057)
dish2.SetPosition(dish2Position)
dish2LightColor = App.TGColorA()
dish2LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish2.SetColor(dish2LightColor)
dish2.SetRadius(0.800000)
dish2.SetPeriod(0.000000)
dish2.SetDuration(0.000000)
dish2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish2)
#################################################
dish3 = App.BlinkingLightProperty_Create("dish3")

dish3Forward = App.TGPoint3()
dish3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish3Up = App.TGPoint3()
dish3Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish3Right = App.TGPoint3()
dish3Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish3.SetOrientation(dish3Forward, dish3Up, dish3Right)
dish3Position = App.TGPoint3()
dish3Position.SetXYZ(0.096119, 0.436151, -0.195463)
dish3.SetPosition(dish3Position)
dish3LightColor = App.TGColorA()
dish3LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish3.SetColor(dish3LightColor)
dish3.SetRadius(0.800000)
dish3.SetPeriod(0.000000)
dish3.SetDuration(0.000000)
dish3.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish3)
#################################################
dish4 = App.BlinkingLightProperty_Create("dish4")

dish4Forward = App.TGPoint3()
dish4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish4Up = App.TGPoint3()
dish4Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish4Right = App.TGPoint3()
dish4Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish4.SetOrientation(dish4Forward, dish4Up, dish4Right)
dish4Position = App.TGPoint3()
dish4Position.SetXYZ(0.065810, 0.436151, -0.217000)
dish4.SetPosition(dish4Position)
dish4LightColor = App.TGColorA()
dish4LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish4.SetColor(dish4LightColor)
dish4.SetRadius(0.800000)
dish4.SetPeriod(0.000000)
dish4.SetDuration(0.000000)
dish4.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish4)
#################################################
dish5 = App.BlinkingLightProperty_Create("dish5")

dish5Forward = App.TGPoint3()
dish5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish5Up = App.TGPoint3()
dish5Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish5Right = App.TGPoint3()
dish5Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish5.SetOrientation(dish5Forward, dish5Up, dish5Right)
dish5Position = App.TGPoint3()
dish5Position.SetXYZ(-0.064984, 0.436151, -0.217967)
dish5.SetPosition(dish5Position)
dish5LightColor = App.TGColorA()
dish5LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish5.SetColor(dish5LightColor)
dish5.SetRadius(0.800000)
dish5.SetPeriod(0.000000)
dish5.SetDuration(0.000000)
dish5.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish5)
#################################################
dish6 = App.BlinkingLightProperty_Create("dish6")

dish6Forward = App.TGPoint3()
dish6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish6Up = App.TGPoint3()
dish6Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish6Right = App.TGPoint3()
dish6Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish6.SetOrientation(dish6Forward, dish6Up, dish6Right)
dish6Position = App.TGPoint3()
dish6Position.SetXYZ(-0.095048, 0.436151, -0.196888)
dish6.SetPosition(dish6Position)
dish6LightColor = App.TGColorA()
dish6LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish6.SetColor(dish6LightColor)
dish6.SetRadius(0.800000)
dish6.SetPeriod(0.000000)
dish6.SetDuration(0.000000)
dish6.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish6)
#################################################
dish7 = App.BlinkingLightProperty_Create("dish7")

dish7Forward = App.TGPoint3()
dish7Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish7Up = App.TGPoint3()
dish7Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish7Right = App.TGPoint3()
dish7Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish7.SetOrientation(dish7Forward, dish7Up, dish7Right)
dish7Position = App.TGPoint3()
dish7Position.SetXYZ(-0.107607, 0.436151, -0.040369)
dish7.SetPosition(dish7Position)
dish7LightColor = App.TGColorA()
dish7LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish7.SetColor(dish7LightColor)
dish7.SetRadius(0.800000)
dish7.SetPeriod(0.000000)
dish7.SetDuration(0.000000)
dish7.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish7)
#################################################
dish8 = App.BlinkingLightProperty_Create("dish8")

dish8Forward = App.TGPoint3()
dish8Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish8Up = App.TGPoint3()
dish8Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish8Right = App.TGPoint3()
dish8Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish8.SetOrientation(dish8Forward, dish8Up, dish8Right)
dish8Position = App.TGPoint3()
dish8Position.SetXYZ(-0.077592, 0.436151, -0.019007)
dish8.SetPosition(dish8Position)
dish8LightColor = App.TGColorA()
dish8LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish8.SetColor(dish8LightColor)
dish8.SetRadius(0.800000)
dish8.SetPeriod(0.000000)
dish8.SetDuration(0.000000)
dish8.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish8)
#################################################
dish9 = App.BlinkingLightProperty_Create("dish9")

dish9Forward = App.TGPoint3()
dish9Forward.SetXYZ(0.000000, 1.000000, 0.000000)
dish9Up = App.TGPoint3()
dish9Up.SetXYZ(0.000000, 0.000000, 1.000000)
dish9Right = App.TGPoint3()
dish9Right.SetXYZ(1.000000, 0.000000, 0.000000)
dish9.SetOrientation(dish9Forward, dish9Up, dish9Right)
dish9Position = App.TGPoint3()
dish9Position.SetXYZ(0.009829, 0.618188, -0.117919)
dish9.SetPosition(dish9Position)
dish9LightColor = App.TGColorA()
dish9LightColor.SetRGBA(0.976471, 0.858824, 0.682353, 1.000000)
dish9.SetColor(dish9LightColor)
dish9.SetRadius(0.800000)
dish9.SetPeriod(0.000000)
dish9.SetDuration(0.000000)
dish9.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(dish9)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("WCJJConnie", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Phaser 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Phaser 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Probe Launcher", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torp 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("sau1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saur1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saug1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bsau1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bsau4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bsau5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torpedo 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bsau6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("bsau7", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saur2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("saug2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish5", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish6", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish7", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish8", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("dish9", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
